		CHANGELOG for USAGI linux24

$USAGI: CHANGELOG.USAGI-LINUX24.PRERELEASE,v 1.1 2001/02/19 06:14:23 yoshfuji Exp $

<200010>
2000-10-31 19:30  yoshfuji

	* net/ipv6/ipv6_sockglue.c: if optval for setsockopt() was
	negative, raise an error EINVAL

2000-10-31 19:27  yoshfuji

	* net/ipv6/ipv6_sockglue.c: two of FIXME has been done.

2000-10-31 19:26  yoshfuji

	* net/ipv6/ipv6_sockglue.c: typo

2000-10-31 19:07  yoshfuji

	* net/ipv6/ipv6_sockglue.c: sanity checks: optval/optlen argument
	for setsockopt()

2000-10-31 18:34  yoshfuji

	* net/ipv6/ipv6_sockglue.c: sanity check for
	setsockopt(IPV6_MULTICAST_LOOP): optval should be 0 or 1, otherwise
	it raises an error EINVAL.

2000-10-31 18:27  yoshfuji

	* net/ipv6/ipv6_sockglue.c: clean-up

2000-10-31 18:26  yoshfuji

	* net/ipv6/ipv6_sockglue.c: getsockopt():
	IPV6_{UNICAST_HOPS,MULTICAST_HOPS,MULTICAST_LOOP,MULTICAST_IF}
	support. getsockopt(): IPV6_{JOIN,LEAVE}_GROUP raise an error
	(EOPNOTSUPP).

2000-10-31 18:15  yoshfuji

	* net/ipv6/ipv6_sockglue.c: getsockopt(IPV6_ONLY)

2000-10-31 18:11  yoshfuji

	* net/ipv6/ipv6_sockglue.c: fixed typo (in original)

2000-10-31 17:06  yoshfuji

	* Documentation/Configure.help, include/linux/icmpv6.h,
	include/linux/in6.h, include/linux/inet.h, include/linux/md5.h,
	include/linux/sysctl.h, include/linux/utsname.h,
	include/net/addrconf.h, include/net/if_inet6.h,
	include/net/ip6_fib.h, include/net/ip6_route.h, include/net/ipv6.h,
	include/net/sock.h, kernel/ksyms.c, kernel/sys.c, lib/Makefile,
	lib/md5.c, net/netsyms.c, net/ipv4/af_inet.c, net/ipv4/raw.c,
	net/ipv4/tcp_ipv4.c, net/ipv4/udp.c, net/ipv4/utils.c,
	net/ipv6/Config.in, net/ipv6/Makefile, net/ipv6/addrconf.c,
	net/ipv6/af_inet6.c, net/ipv6/datagram.c, net/ipv6/exthdrs.c,
	net/ipv6/icmp.c, net/ipv6/ip6_fib.c, net/ipv6/ip6_input.c,
	net/ipv6/ip6_output.c, net/ipv6/ipv6_sockglue.c, net/ipv6/mcast.c,
	net/ipv6/ndisc.c, net/ipv6/proc.c, net/ipv6/raw.c,
	net/ipv6/reassembly.c, net/ipv6/route.c, net/ipv6/tcp_ipv6.c,
	net/ipv6/udp.c, net/khttpd/sockets.c: $_USAGI_$

2000-10-31 16:52  yoshfuji

	* Makefile, include/linux/usagi-version.h, net/ipv6/af_inet6.c,
	net/ipv6/proc.c: moved USAGI Version from Makefile to
	include/linux/usagi-version.h.	print USAGI Version on boot. 
	provide USAGI Version on proc fs (/proc/net/inet6_version).

2000-10-31 00:49  yoshfuji

	* net/: ipv4/tcp_ipv4.c, ipv4/udp.c, ipv6/af_inet6.c,
	ipv6/ipv6_sockglue.c, ipv6/tcp_ipv6.c, ipv6/udp.c: rapair and
	improve IPV6_ONLY support:  1. before bind(2), IPV6_ONLY did not
	take effect.   2. IPV6_ONLY can be set before bind(2).	 3. Allow
	wild6->one4 case if wild6 is marked as IPV6_ONLY.   4. code
	clean-up

2000-10-31 00:33  yoshfuji

	* include/linux/inet.h, net/ipv6/Makefile, net/ipv6/utils.c: Use
	non-inline version for non-modulized ipv6 stack

2000-10-29 03:07  yoshfuji

	* include/linux/inet.h, net/ipv6/Makefile, net/ipv6/utils.c: make
	in6_ntop inline to ease export problem

2000-10-28 21:58  yoshfuji

	* include/linux/inet.h: declare in6_ntop() even if ipv6 is moduled.

2000-10-28 21:50  yoshfuji

	* Makefile: removed problematic USAGIVERSION and store USAGI
	Version into EXTRAVERSION directly

2000-10-28 21:10  yoshfuji

	* net/netsyms.c: export in6_ntop() even if ipv6 is moduled.

2000-10-28 20:38  yoshfuji

	* net/netsyms.c: export in_ntop(), in6_ntop() (partially from
	Hiroyuki YAMAMORI <h-yamamo@db3.so-net.ne.jp>

2000-10-28 16:44  yoshfuji

	* include/net/sock.h, net/ipv4/tcp_ipv4.c, net/ipv4/udp.c,
	net/ipv6/af_inet6.c, net/ipv6/ipv6_sockglue.c, net/ipv6/tcp_ipv6.c,
	net/ipv6/udp.c: IPV6_ONLY support: check is needed.

2000-10-28 16:01  yoshfuji

	* net/ipv6/icmp.c: typo; ni group address was wrong (introduced in
	1.116)

2000-10-28 16:00  yoshfuji

	* net/ipv6/icmp.c: use ipv6_addr_set()

2000-10-28 15:41  yoshfuji

	* net/ipv6/icmp.c: use in6_ntop()

2000-10-28 00:51  yoshfuji

	* README.USAGI: $_USAGI_$

2000-10-27 06:58  sekiya

	* net/ipv6/: addrconf.c, ndisc.c: Fixed the times of sending RS
	message.	Because after finishing DAD, ndisc_send_rs is
	called once and   in addrconf_rs_timer ndisc_send_rs is called
	three times.	   Fixed total RS times 4->3.  Added more debug
	messages regarding RS/RA.

2000-10-25 21:11  yoshfuji

	* Makefile: downcase USAGIVERSION

2000-10-25 19:38  yoshfuji

	* README.USAGI: FTP

2000-10-25 19:27  yoshfuji

	* README.USAGI: FTP

2000-10-25 19:26  yoshfuji

	* Makefile: include date in USAGI version

2000-10-25 19:24  yoshfuji

	* Makefile: define another variable for usagi version

2000-10-25 19:21  yoshfuji

	* Makefile: define another variable for usagi version

2000-10-25 18:46  mk

	* Makefile: changed lowercase EXTRAVERSION -USAGI to -usagi

2000-10-24 00:42  yoshfuji

	* net/ipv4/: af_inet.c, raw.c, tcp_ipv4.c: clear unused portion

2000-10-23 01:17  yoshfuji

	* net/ipv6/addrconf.c: icmpv6_ni_join_nigroup_dev() decl.

2000-10-23 01:16  yoshfuji

	* net/ipv6/ndisc.c: suck linux/inet.h for in_ntoa()

2000-10-21 19:28  yoshfuji

	* net/ipv4/af_inet.c: disallow binding to ipv4 addresses other than
	LOCAL, MUTICAST and/or BROADCAST ones

2000-10-21 16:01  yoshfuji

	* net/ipv4/: tcp_ipv4.c, udp.c: update looking-up logic: give
	saddr,daddr,dport,bound_dev_if precedence

2000-10-21 12:28  yoshfuji

	* net/ipv6/tcp_ipv6.c: fixed TCP bind logic: wild4,loop4,loopm ->
	loopm case

2000-10-20 15:36  sekiya

	* net/ipv6/: Config.in, addrconf.c: Forbided purging default route
	when ip6_forwarding is enabled.

2000-10-20 00:55  yoshfuji

	* README.USAGI: Ipv4/ipv6 sockets binding on the same port

2000-10-20 00:22  yoshfuji

	* net/ipv4/: tcp_ipv4.c, udp.c: allow one6 -> wild4, one4 again

2000-10-19 23:39  yoshfuji

	* net/ipv6/ndisc.c: #include <linux/inet.h> for in6_ntop()

2000-10-19 23:33  yoshfuji

	* net/ipv4/: tcp_ipv4.c, udp.c: don't allow wild6->one4 case; we
	will allow this case if IPV6_ONLY socket option is set to the wild6
	side

2000-10-19 22:15  yoshfuji

	* net/ipv4/: tcp_ipv4.c, udp.c: clean-up logic

2000-10-19 09:56  yoshfuji

	* net/: ipv4/tcp_ipv4.c, ipv4/udp.c, ipv6/tcp_ipv6.c, ipv6/udp.c:
	clean-up

2000-10-19 08:56  yoshfuji

	* net/ipv6/: tcp_ipv6.c, udp.c: more fix about binding

2000-10-19 08:19  yoshfuji

	* net/ipv6/: tcp_ipv6.c, udp.c: more fix inet6 about any->inet6
	case; more check needed.

2000-10-19 08:19  yoshfuji

	* net/ipv6/Config.in: CONFIG_IPV6_DOUBLE_BIND: allow binding
	ipv6/ipv4 sockets on the same port

2000-10-19 06:36  yoshfuji

	* net/ipv4/: tcp_ipv4.c, udp.c: typo: fixed CONFIG_IPV6_DOUBLE_BIND
	in map4->{wild4,loop4,one4,map4} case

2000-10-19 06:19  yoshfuji

	* Documentation/Configure.help, net/ipv4/tcp_ipv4.c,
	net/ipv4/udp.c, net/ipv6/tcp_ipv6.c, net/ipv6/udp.c:
	CONFIG_IPV6_DOUBLE_BIND: allow binding ipv6/ipv4 sockets on the
	same port

2000-10-19 02:21  yoshfuji

	* README.USAGI, Documentation/Configure.help,
	include/linux/icmpv6.h, include/linux/in6.h,
	include/net/addrconf.h, kernel/ksyms.c, net/ipv6/Config.in,
	net/ipv6/datagram.c, net/ipv6/mcast.c, net/ipv6/raw.c,
	net/ipv6/udp.c: merge from bSTABLE-20001010a
	(mSTABLE-20001010a_20001019); conflict resolved.

2000-10-19 00:51  yoshfuji

	* include/linux/in6.h: remove IPV6_TLV_XXX; IP6OPT_XXX is in ip6.h

2000-10-19 00:48  yoshfuji

	* include/linux/in6.h: remove deprecated IPV6_PRIORITY_XXX things.

2000-10-19 00:09  yoshfuji

	* include/linux/in6.h: reserve RFC2292bis-like IPV6_AUTHHDR
	variants.

2000-10-19 00:05  yoshfuji

	* include/linux/in6.h: reserve IPV6_RECVTCLASS, IPV6_TCLASS
	(draft-itojun-ipv6-tclass-api-01.txt)

2000-10-18 18:27  yoshfuji

	* README.USAGI: needless /

2000-10-18 18:26  yoshfuji

	* README.USAGI: sync to 1.10

2000-10-18 18:17  sekiya

	* README.USAGI: Added a statement that we would merge our codes
	into the main trunks.

2000-10-18 18:17  yoshfuji

	* include/linux/in6.h: Added note about IPV6_XXX sockopt
	reservation.

2000-10-18 13:25  yoshfuji

	* README.USAGI: cvsweb location

2000-10-17 15:58  yoshfuji

	* include/net/addrconf.h, net/ipv6/mcast.c: const

2000-10-17 13:38  yoshfuji

	* include/linux/icmpv6.h: re-order

2000-10-17 11:40  yoshfuji

	* net/ipv6/udp.c: release flowlabel

2000-10-17 11:26  yoshfuji

	* net/ipv6/raw.c: LOOSE_SCOPE_ID for raw socket

2000-10-17 11:18  yoshfuji

	* net/ipv6/datagram.c: ensure to reset scope_id

2000-10-16 16:40  yoshfuji

	* README.USAGI: overview sync'd with web

2000-10-15 01:49  yoshfuji

	* kernel/ksyms.c: export md5_XXX symbols.

2000-10-12 22:48  yoshfuji

	* Makefile: define extra USAGI version (from sekiya in MAIN:
	1.1->1.2)

2000-10-12 22:47  yoshfuji

	* net/ipv6/ip6_input.c: struct in6_addr * should be passed to
	ipv6_addr_type(): (from sekiya in MAIN: 1.3->1.4)

2000-10-12 22:22  sekiya

	* Makefile, net/ipv6/ip6_input.c: Makefile	Insert "USAGI"
	symbol into kernel version ip6_input.c	 Fixed compilation errors.

2000-10-12 10:31  yoshfuji

	* README.USAGI: move anoncvs from cvs.linux-ipv6.org to
	anoncvs.linux-ipv6.org

2000-10-12 10:26  yoshfuji

	* README.USAGI: added 'of this snapshot' to Features

2000-10-12 10:24  yoshfuji

	* README.USAGI: Overview and Project Goals (from sakiya in MAIN
	branch: 1.8->1.9)

2000-10-12 10:03  sekiya

	* README.USAGI, net/ipv6/addrconf.c: Added DEBUG lines for checking
	RS.

2000-10-12 01:17  yoshfuji

	* Documentation/Configure.help, net/ipv6/Config.in: moved from
	broken branch bSTABLE-20001010

2000-10-11 18:52  yoshfuji

	* Documentation/Configure.help: Say Y to CONFIG_IPV6. :-)

2000-10-11 18:49  yoshfuji

	* net/ipv6/Config.in: comment-out CONFIG_IPV6_LOOSE_SCOPE_ID

2000-10-11 18:49  yoshfuji

	* net/ipv6/Config.in: stick CONFIG_IPV6_EUI64 enabled.

2000-10-11 18:48  yoshfuji

	* Documentation/Configure.help: update Configure.help:
	
	 - Updated: CONFIG_IPV6_EUI64 and CONFIG_IPV6_NO_PB is recommended.
	 - New:     CONFIG_IPV6_DROP_FAKE_V4MAPPED,
	CONFIG_IPV6_LOOSE_SCOPE_ID,
		    CONFIG_IPV6_NDISC_DEBUG
	 - Updated: CONFIG_IPV6_NODEINFO_DEBUG

2000-10-10 19:00  yoshfuji

	* net/ipv6/: Config.in, ip6_input.c: drop packets with fake
	ipv4-mapped address(es)

2000-10-10 16:36  yoshfuji

	* net/ipv6/icmp.c: removed BSD-style copying (that might be against
	GPL2)

2000-10-10 01:35  yoshfuji

	* include/linux/in6.h: allocate RFC2553bis's IPV6_ONLY socket
	option (not implemented)

2000-10-08 10:50  yoshfuji

	* include/linux/inet.h: struct netproto; struct in_addr; struct
	in6_addr;

2000-10-08 10:48  yoshfuji

	* net/ipv6/icmp.c: read_lock(&dev_base)/read_unlock(&dev_base)
	should be read_lock(&dev_base_lock)/read_unlock(&dev_base_lock)

2000-10-06 14:20  yoshfuji

	* net/ipv4/utils.c: clean-up

2000-10-06 00:18  yoshfuji

	* net/ipv4/utils.c: in_ntop() implementation was wrong.

2000-10-06 00:14  yoshfuji

	* include/linux/inet.h, net/ipv4/utils.c: in_ntop()

2000-10-06 00:08  yoshfuji

	* net/ipv6/icmp.c: in_ntop()

2000-10-05 23:57  yoshfuji

	* include/net/snmp.h: __pad was missing

2000-10-05 23:51  yoshfuji

	* sync with linux-2.4.0-test9

2000-10-04 11:30  yoshfuji

	* README.USAGI: kit includes some bug fixes

2000-10-03 14:47  yoshfuji

	* net/ipv6/ndisc.c: Don't learn bigger MTU from MTU-option in RA.

2000-10-03 13:39  yoshfuji

	* README.USAGI: cvsweb

2000-10-03 13:34  yoshfuji

	* net/ipv6/: icmp.c, ndisc.c: use in6_ntop()

2000-10-03 13:33  yoshfuji

	* net/ipv6/Makefile: in6_ntop()

2000-10-03 13:33  yoshfuji

	* net/ipv6/utils.c: Fix decl.

2000-10-03 13:29  yoshfuji

	* include/linux/inet.h, net/ipv6/utils.c: in6_ntop()

2000-10-03 13:04  yoshfuji

	* include/linux/: icmp6.h, ip6.h: copyright

2000-10-03 13:01  yoshfuji

	* net/ipv6/icmp.c: authors

2000-10-03 12:59  yoshfuji

	* net/ipv6/icmp.c: Copyright

2000-10-03 12:24  yoshfuji

	* net/ipv6/ndisc.c: typo

2000-10-03 12:16  yoshfuji

	* net/ipv6/ndisc.c: Ingore ND packet if ip6_hlim is invalid or
	target is multicast; from KAME

2000-10-03 11:55  yoshfuji

	* net/ipv6/ndisc.c: Ingore ND packet if target is multicast; from
	KAME code.

2000-10-03 11:43  yoshfuji

	* net/ipv6/ndisc.c: typo

2000-10-03 11:40  yoshfuji

	* net/ipv6/ndisc.c: Check if ip6_hlim and ip6_dst is ok for ND;
	from KAME.

2000-10-03 11:20  yoshfuji

	* net/ipv6/ndisc.c: Silently ignore NS,NA,RA packet with invalid
	code or length

2000-10-03 11:03  yoshfuji

	* net/ipv6/ndisc.c: Code clean-up.

2000-10-03 09:02  yoshfuji

	* net/ipv6/addrconf.c: #ifdef CONFIG_PROC_FS / #endif

2000-10-02 22:49  yoshfuji

	* include/net/if_inet6.h: per-device /proc/net/dev_snmp6/<ifindex>

2000-10-02 21:00  yoshfuji

	* net/ipv6/ndisc.c: fixed ND bug: ND option with unspecified source
	address; (1.2 did not fix this problem because unspecified address
	detection was broken.)

2000-10-02 19:27  yoshfuji

	* net/ipv6/ndisc.c: more debug message.

2000-10-02 19:01  yoshfuji

	* net/ipv6/: Config.in, ndisc.c: ND debug

2000-10-02 18:47  yoshfuji

	* net/ipv6/: addrconf.c, addrconf.c: more typo

2000-10-02 18:47  yoshfuji

	* net/ipv6/addrconf.c: typo

2000-10-02 12:49  yoshfuji

	* net/ipv6/addrconf.c: do s/timetics()/timeticks()/

2000-10-02 12:49  yoshfuji

	* net/ipv6/addrconf.c: timetics()

2000-10-02 12:47  yoshfuji

	* net/ipv6/addrconf.c: create/destroy /proc/net/dev_snmp6 while
	creating/destroying inet6_dev{}

2000-10-02 12:35  yoshfuji

	* net/ipv6/: addrconf.c, af_inet6.c, proc.c: per-device
	/proc/net/dev_snmp6/<ifindex>

2000-10-02 12:04  yoshfuji

	* include/linux/in6.h: #define __USAGI__

2000-10-02 08:49  yoshfuji

	* net/ipv6/addrconf.c: LastChange should be in 1/100 sec (for HZ !=
	100 case)

2000-10-02 00:40  yoshfuji

	* net/ipv6/proc.c: typo

2000-10-02 00:36  yoshfuji

	* README.USAGI: www.linux-ipv6.org is now available

2000-10-02 00:36  yoshfuji

	* README.USAGI: Per-device statistics for SNMP

2000-10-02 00:01  yoshfuji

	* net/ipv6/proc.c: fixed buffer-over-run; original code assumes
	/dev/net/*snmp6 is not so large.

2000-10-01 23:59  yoshfuji

	* net/ipv6/addrconf.c: clean-up

<200009>
2000-09-30 20:45  yoshfuji

	* net/ipv6/icmp.c: typo; fixed idev leak.

2000-09-30 18:53  yoshfuji

	* net/ipv6/af_inet6.c: register / unregister /proc/net/dev_snmp6

2000-09-30 18:47  yoshfuji

	* net/ipv6/proc.c: nuke unused 'mibsize' member.

2000-09-30 14:13  yoshfuji

	* net/ipv6/proc.c: use snmp6_explore_dev for per-device information
	and fixed some typo.

2000-09-30 14:10  yoshfuji

	* net/ipv6/proc.c: /proc/net/dev_snmp6 to provide per-device
	statistics; will be divided into separate files such as
	/proc/net/dev_snmp6/<ifindex>.

2000-09-30 07:39  yoshfuji

	* net/ipv6/icmp.c, net/ipv6/mcast.c, net/ipv6/ndisc.c,
	net/ipv6/tcp_ipv6.c, include/net/ipv6.h: MIB for IPv6:
	Ipv6IfstatXXX

2000-09-29 22:43  yoshfuji

	* net/ipv6/reassembly.c: per-device ipv6 statistics; need be
	checked later.

2000-09-29 22:42  yoshfuji

	* net/ipv6/reassembly.c: sync to linux-2.4.0_test8

2000-09-29 22:36  yoshfuji

	* include/net/ipv6.h, net/ipv6/exthdrs.c, net/ipv6/icmp.c,
	net/ipv6/ip6_input.c, net/ipv6/ip6_output.c, net/ipv6/raw.c,
	net/ipv6/route.c, net/ipv6/tcp_ipv6.c, net/ipv6/udp.c: per-device
	ipv6 statistics; need be checked later.

2000-09-28 23:07  yoshfuji

	* net/ipv6/addrconf.c: ipv6IfLastChange; per-device procfs support
	not implemented.

2000-09-28 22:02  yoshfuji

	* net/ipv6/: addrconf.c, proc.c: ipv6IfTableLastChange

2000-09-28 21:06  yoshfuji

	* net/ipv6/icmp.c: Icmp6InAdminProhibs,Icmp6OutAdminProhibs

2000-09-28 21:05  yoshfuji

	* net/ipv6/proc.c: Print missing MIB

2000-09-28 12:25  yoshfuji

	* net/ipv6/icmp.c: replace magic-number 1 with ICMPV6_DEST_UNREACH

2000-09-28 12:23  yoshfuji

	* include/net/snmp.h: Grr, order is important due to
	net/ipv6/icmp.c; added some variable.

2000-09-28 10:49  yoshfuji

	* include/net/snmp.h: allocate Ip6LastChange; This represents
	TimeTicks (in 1/100 sec)

2000-09-28 10:43  yoshfuji

	* include/net/if_inet6.h: struct inet6_devstat{} should be struct
	ipv6_devstat{}

2000-09-28 10:41  yoshfuji

	* include/net/if_inet6.h: #include <net/snmp.h>, not #include
	<snmp.h>

2000-09-28 05:01  yoshfuji

	* include/net/if_inet6.h: More room.

2000-09-28 04:42  yoshfuji

	* include/net/snmp.h: XXX: LastChange

2000-09-28 04:42  yoshfuji

	* include/net/if_inet6.h: Added per-device statistics entry.

2000-09-28 04:25  yoshfuji

	* include/net/snmp.h: Added some variable to take statistics such
	as Icmp6InAdminProhibs etc. (RFC2465, RFC2466)

2000-09-28 03:00  yoshfuji

	* net/ipv6/ndisc.c: ND option is not allowed if source address is
	unspecified. reported from <Hiroshi_Hoshino@yokogawa.co.jp>

2000-09-27 23:48  yoshfuji

	* net/ipv6/addrconf.c: merged MAIN (mMAIN_20000927 ->
	mMAIN_20000927a)

2000-09-27 23:38  yoshfuji

	* net/ipv6/addrconf.c: oops.

2000-09-27 15:23  yoshfuji

	* README.USAGI, Documentation/Configure.help,
	arch/arm/boot/compressed/head-nexuspci.S, arch/arm/kernel/bios32.h,
	arch/sparc/kernel/solaris.c, fs/ext2/truncate.c,
	include/net/addrconf.h, include/net/ip6_fib.h,
	include/net/ip6_route.h, include/net/ipv6.h, net/ipv6/Config.in,
	net/ipv6/addrconf.c, net/ipv6/af_inet6.c, net/ipv6/icmp.c,
	net/ipv6/ip6_fib.c, net/ipv6/mcast.c, net/ipv6/raw.c,
	net/ipv6/route.c, net/ipv6/tcp_ipv6.c, net/ipv6/udp.c: Merged MAIN
	(rRFC2292BIS -> mMAIN_20000927)

2000-09-27 15:13  yoshfuji

	* net/ipv6/: Config.in, ipv6_sockglue.c: Debug message

2000-09-27 01:20  yoshfuji

	* net/ipv6/ip6_flowlabel.c: ) was missing

2000-09-27 01:03  yoshfuji

	* include/linux/ip6.h, include/net/ipv6.h, net/ipv6/datagram.c,
	net/ipv6/exthdrs.c, net/ipv6/icmp.c, net/ipv6/ip6_flowlabel.c,
	net/ipv6/ipv6_sockglue.c: struct ip6_exthdr -> struct ip6_ext; name
	from KAME

2000-09-26 23:07  yoshfuji

	* net/ipv6/addrconf.c: clean-up address selection code.

2000-09-26 22:28  yoshfuji

	* net/ipv6/addrconf.c: Fixed source-address selection bug;
	in6_ifa_put() too many times.

2000-09-26 21:21  yoshfuji

	* net/ipv6/: exthdrs.c, ipv6_sockglue.c: XXX: long is enough to
	keep difference of pointer?

2000-09-26 21:14  yoshfuji

	* net/ipv6/ipv6_sockglue.c: XXX: size_t -> long

2000-09-26 17:31  yoshfuji

	* net/ipv6/ipv6_sockglue.c: Ensure to free alloc'ed memory if
	error.

2000-09-26 17:30  yoshfuji

	* net/ipv6/ipv6_sockglue.c: more fixes

2000-09-26 17:24  yoshfuji

	* net/ipv6/ipv6_sockglue.c: more #ifdef / #endif

2000-09-26 17:22  yoshfuji

	* net/ipv6/ipv6_sockglue.c: more typo and needless #ifdef 0

2000-09-26 17:20  yoshfuji

	* net/ipv6/ipv6_sockglue.c: typo

2000-09-26 17:19  yoshfuji

	* net/ipv6/ipv6_sockglue.c: Enable
	IPV6_{HOPOPTS,RTHDRDSTOPTS,RTHDR,DSTOPTS} socket option.

2000-09-26 17:11  yoshfuji

	* net/ipv6/ipv6_sockglue.c: caller should be set exth->ip6x_len.
	don't try to copy if exth is NULL. Don't allocate memory if exth is
	NULL. set tp->ext_header_len to 0 if exth is NULL.

2000-09-26 16:58  yoshfuji

	* net/ipv6/icmp.c: fixed typo and cleaned codes up.

2000-09-26 15:14  yoshfuji

	* net/ipv6/icmp.c: size_t

2000-09-26 13:28  yoshfuji

	* net/ipv6/icmp.c: ICMPv6 NI Query was broken in the bRFC229BIS
	branch; I will clean-up code soon.

2000-09-26 01:02  yoshfuji

	* net/ipv6/ipv6_sockglue.c: ensure to extend/shrink txoptions
	buffer. (correct?)

2000-09-25 16:44  yoshfuji

	* net/ipv6/ipv6_sockglue.c: partially update pktoptions for
	RFC2292bis; still dead code.

2000-09-25 00:32  yoshfuji

	* net/ipv6/: tcp_ipv6.c, udp.c: sync to linux-2.4.0-test8

2000-09-24 23:27  yoshfuji

	* net/ipv6/ipv6_sockglue.c: use "goto e_inval;"

2000-09-24 23:24  yoshfuji

	* net/ipv6/ipv6_sockglue.c: setsockopt(IPV6_HOPLIMIT)

2000-09-24 23:13  yoshfuji

	* net/ipv6/ipv6_sockglue.c: simple optval and optlen validation for
	IPV6_{PKTINFO,HOPLIMIT,RTHDR,HOPOPTS,DSTOPTS,RTHDRDSTOPTS} (still
	dead code)

2000-09-24 21:36  yoshfuji

	* net/ipv6/: Config.in, af_inet6.c, tcp_ipv6.c, udp.c:
	CONFIG_IPV6_LOOSE_SCOPE_ID for loose sin6_scope_id checking.

2000-09-24 17:26  yoshfuji

	* net/ipv6/af_inet6.c: define ipv6_kfree_sockoptions() to free
	memory used by options; this function will be extended later.

2000-09-24 17:23  yoshfuji

	* include/net/ipv6.h, net/ipv6/ipv6_sockglue.c,
	net/ipv6/tcp_ipv6.c: define ipv6_kfree_sockoptions() to free memory
	used by options; this function will be extended later.

2000-09-24 14:30  yoshfuji

	* net/ipv6/raw.c: Don't allow to set/change IPV6_CHECKSUM option
	for ICMPv6 socket; this option is always be to 2 for ICMPv6 socket.

2000-09-24 14:15  yoshfuji

	* net/ipv6/raw.c: sync to vendor branch

2000-09-21 23:51  yoshfuji

	* include/linux/ip6.h: nuke #define _IPV6_H

2000-09-21 19:07  yoshfuji

	* include/net/: ndisc.h, neighbour.h: suck <linux/netdevice.h> to
	define MAX_ADDR_LEN

2000-09-21 15:59  yoshfuji

	* README.USAGI: khttpd / IPv6

2000-09-21 15:43  yoshfuji

	* Documentation/Configure.help: Remove garbage

2000-09-21 15:27  yoshfuji

	* README.USAGI: Web and CVS

2000-09-21 15:19  yoshfuji

	* README.USAGI: README

2000-09-21 14:51  yoshfuji

	* include/: linux/icmpv6.h, net/addrconf.h: Moved decl. for
	icmpv6_ni_join_nigroup_dev() from linux/icmpv6.h to net/addrconf.h

2000-09-21 14:28  yoshfuji

	* include/net/addrconf.h, include/net/ip6_fib.h,
	include/net/ip6_route.h, include/net/ipv6.h, net/ipv6/addrconf.c,
	net/ipv6/ip6_fib.c, net/ipv6/mcast.c, net/ipv6/route.c: const

2000-09-21 13:50  yoshfuji

	* include/linux/icmpv6.h, net/ipv6/addrconf.c: Declare
	icmpv6_ni_join_nigroup_dev();

2000-09-21 13:09  yoshfuji

	* arch/arm/boot/compressed/head-nexuspci.S,
	arch/arm/kernel/bios32.h, arch/sparc/kernel/solaris.c,
	fs/ext2/truncate.c: Remove some files removed in LINUS branch

2000-09-20 23:06  yoshfuji

	* net/ipv4/ip_gre.c: PKT_TOOBIG -> PACKET_TOO_BIG

2000-09-20 22:59  yoshfuji

	* net/netsyms.c: #include

2000-09-20 22:54  yoshfuji

	* net/ipv6/raw.c: ICMPV6_FILTER -> ICMP6_FILTER

2000-09-20 19:19  yoshfuji

	* include/linux/in6.h: uint16_t

2000-09-20 19:00  yoshfuji

	* include/linux/icmp6.h: ensure to do ICMPV6_* -> ICMP6_*

2000-09-20 18:59  yoshfuji

	* include/linux/in6.h: uintXX_t

2000-09-20 18:58  yoshfuji

	* include/linux/in6.h: Remove s6_addr64 things

2000-09-20 18:56  yoshfuji

	* include/linux/in6.h: Define SOL_IPV6 and SOL_ICMPV6

2000-09-20 18:56  yoshfuji

	* include/linux/in.h: Don't re-define inf SOL_IP is already
	defined.

2000-09-20 18:55  yoshfuji

	* include/linux/in.h: Dont re-define IPPROTO_* in userland.

2000-09-20 18:46  yoshfuji

	* include/linux/: in.h, in6.h: fixed sanity check

2000-09-20 17:12  yoshfuji

	* include/net/neighbour.h: Nuke many unnessesary #include in
	headers.

2000-09-20 17:12  yoshfuji

	* include/net/ndisc.h: Remove asm/atomic.h

2000-09-20 17:09  yoshfuji

	* net/ipv6/icmp.c: Now ipv6_opt_hdr should be ip6_exthdr

2000-09-20 16:36  yoshfuji

	* include/net/ndisc.h: Ensure to remove ND/NA things from ndisc.h

2000-09-20 16:32  yoshfuji

	* include/linux/icmpv6.h: Removed icmpv6.h; use icmp6.h instead.

2000-09-20 16:30  yoshfuji

	* include/net/ndisc.h, include/net/sock.h, net/ipv6/af_inet6.c,
	net/ipv6/datagram.c, net/ipv6/exthdrs.c, net/ipv6/icmp.c,
	net/ipv6/ip6_input.c, net/ipv6/ip6_output.c, net/ipv6/mcast.c,
	net/ipv6/ndisc.c, net/ipv6/raw.c, net/ipv6/reassembly.c,
	net/ipv6/route.c, net/ipv6/sit.c, net/ipv6/tcp_ipv6.c,
	net/ipv6/udp.c: 1. Use <linux/icmp6.h> instead of <linux/icmpv6.h>;
	RFC2292bis.  2. Removed ND and RA things because it should live in
	<linux/icmp6.h> 3. ensured to include <linux/ip6.h>
	(net/ipv6/reassembly.c, net/ipv6/tcp_ipv6.c)

2000-09-20 16:22  yoshfuji

	* include/linux/icmp6.h: Import NI Query things from KAME; Added
	NI_IPV4ADDR_* things, too.

2000-09-20 11:45  yoshfuji

	* include/linux/icmp6.h: Kernel internel functions from icmpv6.h

2000-09-20 11:40  yoshfuji

	* include/linux/icmp6.h: static __inline__

2000-09-20 11:09  yoshfuji

	* include/linux/icmp6.h: filterp was missing

2000-09-20 04:12  yoshfuji

	* include/linux/icmp6.h: standard <linux/icmp6.h>

2000-09-20 04:12  yoshfuji

	* include/linux/icmp6.h: file icmp6.h was initially added on branch
	bRFC2292BIS.

2000-09-20 04:05  yoshfuji

	* include/net/: addrconf.h, protocol.h: More in.h things.

2000-09-20 03:09  yoshfuji

	* include/linux/ip6.h, include/linux/ipv6.h,
	include/linux/skbuff.h, include/linux/netfilter_ipv6/ip6_tables.h,
	include/net/dsfield.h, include/net/inet_ecn.h, include/net/ipv6.h,
	include/net/protocol.h, include/net/rawv6.h, include/net/sock.h,
	net/ipv6/datagram.c, net/ipv6/exthdrs.c, net/ipv6/icmp.c,
	net/ipv6/ip6_flowlabel.c, net/ipv6/ip6_input.c,
	net/ipv6/ip6_output.c, net/ipv6/mcast.c, net/ipv6/ndisc.c,
	net/ipv6/raw.c, net/ipv6/reassembly.c, net/ipv6/route.c,
	net/ipv6/sit.c, net/ipv6/tcp_ipv6.c, net/ipv6/udp.c: Add new file
	<linux/ip6.h> from RFC2292bis (<netinet/ip6.h>) and use it instead
	of <linux/ipv6.h>.

2000-09-20 03:09  yoshfuji

	* include/linux/ip6.h: file ip6.h was initially added on branch
	bRFC2292BIS.

2000-09-20 02:16  yoshfuji

	* include/linux/in6.h: define IPV6_RTHDR_TYPE_0 and IPV6_MIN_MTU

2000-09-19 23:42  yoshfuji

	* include/linux/ipv6.h, net/ipv6/addrconf.c, net/ipv6/datagram.c,
	net/ipv6/exthdrs.c, net/ipv6/ip6_fib.c, net/ipv6/ip6_flowlabel.c,
	net/ipv6/ip6_fw.c, net/ipv6/ip6_input.c, net/ipv6/ip6_output.c,
	net/ipv6/ipv6_sockglue.c, net/ipv6/mcast.c, net/ipv6/ndisc.c,
	net/ipv6/proc.c, net/ipv6/protocol.c, net/ipv6/raw.c,
	net/ipv6/reassembly.c, net/ipv6/route.c, net/ipv6/sit.c,
	net/ipv6/sysctl_net_ipv6.c, net/ipv6/tcp_ipv6.c, net/ipv6/udp.c:
	Don't include linux/in6.h; use linux/in.h

2000-09-19 23:11  yoshfuji

	* include/linux/in.h, include/linux/in6.h, include/linux/ipv6.h,
	include/net/sock.h, net/ipv6/exthdrs.c, net/ipv6/mcast.c:
	Re-organize include files.
	
	 1. Don't include <linux/in6.h>; use <linux/in.h>.
	    Don't include <linux/in.h> for userland; use <netinet/in.h>
	 2. Move IP protocol definitions to <linux/in.h>.
	 3. Use uintXX_t.
	 4. Wrap many things with #ifdef __KERNEL__ not to conflict with
	    <netinet/in.h>;  not checked yet.
	 5. struct ip_opts {} in <linux/in.h> from <bits/in.h>
	 6. Suck <linux/in6.h> from <linux/in.h>
	 7. Move struct in6_pktinfo{} and struct in6_ifreq{} from
	<linux/ipv6.h>
	    to <linux/in6.h>.
	 8. type of if*6_ifindex should be unsigned int.
	 9. disable IPV6_PRIORITY_* because these things are obsolete.
	10. Rename IPV6_TLV_* as IP6OPT_* and go into <linux/in.h>.  11.
	Remove IPV6_* aliased to IPV6_2292*.

2000-09-18 23:59  yoshfuji

	* net/ipv6/: Config.in, ipv6_sockglue.c: Don't allow IPPROTO_IP
	sockopts for inet6 sockets

2000-09-18 13:52  yoshfuji

	* include/linux/ipv6.h: Define IPV6_RTHDR_LOOSE; this is not
	RFC2292bis thing.

2000-09-18 13:39  yoshfuji

	* include/linux/ipv6.h, net/ipv6/exthdrs.c: IPV6_SRCRT_* ->
	IPV6_RTHDR_*

2000-09-18 12:55  yoshfuji

	* net/ipv6/TODO.rfc2292bis: file TODO.rfc2292bis was initially
	added on branch bRFC2292BIS.

2000-09-18 12:55  yoshfuji

	* net/ipv6/TODO.rfc2292bis: TODO for RFC2292bis

2000-09-18 12:20  yoshfuji

	* net/ipv6/exthdrs.c: Don't send RTHDRDSTOPTS extention header
	without RTHDR extention header

2000-09-18 02:54  yoshfuji

	* net/ipv6/ipv6_sockglue.c: IP_MTU should be IPV6_MTU

2000-09-18 01:52  yoshfuji

	* net/ipv6/datagram.c: IPV6_REACHCONF through ancilary data; XXX:
	we do nothing at this moment.

2000-09-18 01:07  yoshfuji

	* include/net/ipv6.h, include/net/transp_v6.h, net/ipv6/datagram.c,
	net/ipv6/icmp.c, net/ipv6/ip6_flowlabel.c, net/ipv6/ip6_output.c,
	net/ipv6/ipv6_sockglue.c, net/ipv6/raw.c, net/ipv6/udp.c:
	IPV6_USE_MIN_PATH_MTU through ancillary data

2000-09-17 23:55  yoshfuji

	* net/ipv6/ipv6_sockglue.c: IPV6_USE_MIN_MTU sockopt support

2000-09-17 22:21  yoshfuji

	* net/ipv6/datagram.c: RFC2292bis
	IPV6_{PKTINFO,HOPOPTS,DSTOPT,RTHDRDSTOPTS,RTHDR,HOPLIMIT} control
	through ancillary data.

2000-09-17 21:13  yoshfuji

	* include/linux/in6.h: IPV6_NEXTHOP has not changed between
	RFC2292->RFC2292bis

2000-09-17 20:52  yoshfuji

	* include/net/sock.h, net/ipv6/datagram.c,
	net/ipv6/ipv6_sockglue.c, net/ipv6/tcp_ipv6.c: IPV6_RECVRTHDR
	sockopt

2000-09-17 18:34  yoshfuji

	* net/ipv6/tcp_ipv6.c: Not to allow RECVDESTOPT for TCP sockets.

2000-09-17 18:31  yoshfuji

	* include/net/sock.h, net/ipv6/datagram.c,
	net/ipv6/ipv6_sockglue.c, net/ipv6/tcp_ipv6.c:
	IPV6_RECVRTHDRDSTOPTS

2000-09-17 18:12  yoshfuji

	* include/net/sock.h, net/ipv6/datagram.c,
	net/ipv6/ipv6_sockglue.c, net/ipv6/tcp_ipv6.c: Ensure to use
	IPV6_xxx for new socket options.

2000-09-17 17:14  kunitake

	* net/ipv6/icmp.c: check a definition(CONFIG_IPV6_NODEINFO) at
	icmpv6_init() and icmpv6_cleanup().

2000-09-17 16:21  yoshfuji

	* include/linux/in6.h: correct comments

2000-09-17 15:18  yoshfuji

	* net/ipv6/ipv6_sockglue.c:
	IPV6_RECV{PKTINFO,HOPLIMIT,HOPOPTS,DSTOPTS}

2000-09-17 14:49  kunitake

	* Documentation/Configure.help: add forgotten item. 
	CONFIG_IPV6_NODEINFO_USE_UTS_DOMAIN CONFIG_IPV6_NODEINFO_DEBUG

2000-09-17 14:44  kunitake

	* net/ipv6/Config.in: remove '\n' from 'IPv6: debug message (very
	verbose)'

2000-09-17 14:38  yoshfuji

	* net/ipv6/Config.in: CONFIG_IPV6_RFC2292BIS

2000-09-17 14:33  yoshfuji

	* include/linux/in6.h, net/ipv6/datagram.c,
	net/ipv6/ipv6_sockglue.c: Define RFC2292bis things; for backward
	compatibility, we allocate new values for re-defined things.

2000-09-17 12:18  yoshfuji

	* Documentation/Configure.help: Update ICMPv6 Node Information
	Queries things.   - IPV6_NODEINFO was for
	IPV6_NODEINFO_USE_UTS_DOMAIN   - added IPV6_NODEINFO,
	IPV6_NODEINFO_MAX_ADDRS, IPV6_NODEINFO_DEBUG

2000-09-16 02:14  yoshfuji

	* net/ipv6/: Config.in, icmp.c: let maximum number of ipv6
	addresses configurable

2000-09-16 01:39  yoshfuji

	* net/ipv6/icmp.c: clarify buffer-name

2000-09-16 00:28  yoshfuji

	* sync with linux-2.4.0-test8

2000-09-14 18:42  yoshfuji

	* net/ipv6/icmp.c: Fixed dns-encode comparision; host foo did not
	allow a query for foo.bar

2000-09-14 12:19  yoshfuji

	* include/linux/utsname.h, kernel/ksyms.c, kernel/sys.c,
	net/ipv6/addrconf.c, net/ipv6/icmp.c: merged from NI-nigroup
	branch; mNI-nigroup_20000914

2000-09-14 11:40  yoshfuji

	* net/ipv6/icmp.c: Don't join NI group for non-IFF_UP interface(s)

2000-09-14 11:37  yoshfuji

	* net/ipv6/icmp.c: Don't join NI group if it is not set up

2000-09-14 11:26  yoshfuji

	* net/ipv6/icmp.c: Debug message

2000-09-14 11:24  yoshfuji

	* net/ipv6/icmp.c: static

2000-09-14 11:17  yoshfuji

	* net/ipv6/: addrconf.c, icmp.c: Join NI group when an interface is
	going up.

2000-09-14 10:58  yoshfuji

	* net/ipv6/icmp.c: more debugging message

2000-09-14 09:23  yoshfuji

	* net/ipv6/icmp.c: Join/Leave NI group

2000-09-14 03:23  yoshfuji

	* net/ipv6/addrconf.c: Apply linux-2.3.39-source-addr-selection;
	from kusune

2000-09-14 03:15  yoshfuji

	* include/linux/utsname.h, kernel/ksyms.c, kernel/sys.c,
	net/ipv6/icmp.c: ni-group active update test

2000-09-13 18:42  yoshfuji

	* lib/Makefile: md5.c

2000-09-13 18:41  yoshfuji

	* lib/md5.c: bzero(), bcopy()

2000-09-13 18:38  yoshfuji

	* include/linux/md5.h: __P()

2000-09-13 18:35  yoshfuji

	* include/linux/md5.h: _NETINET6_MD5_H -> _LINUX_MD5_H

2000-09-13 16:26  yoshfuji

	* net/ipv6/icmp.c: Special subject ipv6-address handling to allow
	multicast queries

2000-09-13 15:56  yoshfuji

	* net/ipv6/icmp.c: don't allow loopback address as a subject; XXX:
	REFUSED?

2000-09-13 15:52  yoshfuji

	* net/ipv6/icmp.c: ensure to restrict to the interface subjected
	without ALL flag; previous one was wrong

2000-09-13 15:44  yoshfuji

	* net/ipv6/icmp.c: ensure to restrict to the interface subjected
	without ALL flag

2000-09-13 15:27  yoshfuji

	* net/ipv6/icmp.c: print processing device name for debugging

2000-09-13 15:15  yoshfuji

	* net/ipv6/icmp.c: Use skb->dev as "the interface ... which are
	associated with the Subject Name" for SUBJ_FQDN.

2000-09-13 15:06  yoshfuji

	* net/ipv6/icmp.c: Update comments

2000-09-13 15:04  yoshfuji

	* net/ipv6/icmp.c: Support ALL flags

2000-09-12 14:07  yoshfuji

	* net/ipv6/icmp.c: Fix typo; QTYPE_IPV4ADDR with SUBJ_IPV6 was
	wrong

2000-09-12 14:06  yoshfuji

	* net/ipv6/icmp.c: Fix FQDN subject validation to check subject
	name strictly

2000-09-12 13:05  yoshfuji

	* net/ipv6/icmp.c: More debugging message

2000-09-12 13:03  yoshfuji

	* net/ipv6/icmp.c: Fix debugging message to print result flags

2000-09-12 12:40  yoshfuji

	* net/ipv6/: Config.in, icmp.c: Added configuration for debugging:
	CONFIG_IPV6_NODEINFO_DEBUG

2000-09-12 12:32  yoshfuji

	* include/net/if_inet6.h: Change config name:
	CONFIG_IPV6_QUERY->CONFIG_IPV6_NODEINFO,
	CONFIG_IPV6_USE_UTS_DOMAIN->CONFIG_IPV6_NODEINFO_USE_UTS_DOMAIN

2000-09-12 12:23  yoshfuji

	* include/linux/: sysctl.h, sysctl.h: Remove useless #ifdef
	CONFIG_*

2000-09-12 12:12  yoshfuji

	* net/ipv6/addrconf.c: Change config name:
	CONFIG_IPV6_QUERY->CONFIG_IPV6_NODEINFO,
	CONFIG_IPV6_USE_UTS_DOMAIN->CONFIG_IPV6_NODEINFO_USE_UTS_DOMAIN

2000-09-12 11:48  yoshfuji

	* Documentation/Configure.help, net/ipv6/Config.in,
	net/ipv6/icmp.c: Change config name:
	CONFIG_IPV6_QUERY->CONFIG_IPV6_NODEINFO,
	CONFIG_IPV6_USE_UTS_DOMAIN->CONFIG_IPV6_NODEINFO_USE_UTS_DOMAIN

2000-09-12 01:58  yoshfuji

	* net/ipv6/icmp.c: Fix buffer-size

2000-09-12 01:31  yoshfuji

	* net/ipv6/icmp.c: Accelate subject address validation a little.

2000-09-11 20:03  yoshfuji

	* net/ipv6/icmp.c: Repair query type != subject type case

2000-09-11 19:39  yoshfuji

	* net/ipv6/icmp.c: fix (unused) code

2000-09-11 18:48  yoshfuji

	* net/ipv6/icmp.c: Repair subject name validation

2000-09-11 18:35  yoshfuji

	* net/ipv6/icmp.c: Repair NODENAME support

2000-09-11 16:26  yoshfuji

	* net/ipv6/icmp.c: debug code for subject ipv6-address

2000-09-11 16:17  yoshfuji

	* net/ipv6/icmp.c: repair subject validation

2000-09-11 14:28  yoshfuji

	* net/ipv6/icmp.c: fix kernel debug message again...

2000-09-11 14:15  yoshfuji

	* net/ipv6/icmp.c: fix kernel debug message

2000-09-07 12:02  yoshfuji

	* net/ipv6/icmp.c: use ICMPV6_INFOMSG_MASK

2000-09-06 20:40  yoshfuji

	* include/linux/icmpv6.h: Use __LITTLE_ENDIAN / __BIG_ENDIAN

2000-09-06 20:24  yoshfuji

	* net/ipv6/ipv6_sockglue.c, include/linux/in6.h:
	s/IPV6_ADD_MEMBERSHIP/IPV6_JOIN_GROUP/,
	s/IPV6_DROP_MEMBERSHIP/IPV6_LEAVE_GROUP/ (RFC2553)

2000-09-06 20:12  yoshfuji

	* net/ipv6/ipv6_sockglue.c: IPV6_ADDRFORM is deprecated

2000-09-06 11:46  yoshfuji

	* net/ipv6/icmp.c: make NODEADDR work without sysctl

2000-09-06 11:41  yoshfuji

	* net/ipv6/icmp.c: fix flags (but not used in non-subjok case,)

2000-09-06 11:35  yoshfuji

	* net/ipv6/icmp.c: walk through addresses until it is known to
	valid

2000-09-06 11:32  yoshfuji

	* net/ipv6/icmp.c: Don't try to copy addresses if it is not needed

2000-09-06 11:15  yoshfuji

	* net/ipv6/icmp.c: s/ok_flag/subjok/

2000-09-06 09:05  yoshfuji

	* net/ipv6/icmp.c: remove garbage in NODEADDR

2000-09-06 09:03  yoshfuji

	* net/ipv6/icmp.c: IPV4ADDRS support: XXX needs be checked

2000-09-06 01:49  yoshfuji

	* net/ipv6/icmp.c: ensure to raise an error if subject does not
	match.

2000-09-06 01:32  yoshfuji

	* net/ipv6/icmp.c: Re-organize NODEADDR and checks subject ipv6
	address validation.

2000-09-06 01:30  yoshfuji

	* net/ipv6/icmp.c: subject name validation

2000-09-06 00:27  yoshfuji

	* net/ipv6/icmp.c: FQDN without FQDN subject.

2000-09-06 00:14  yoshfuji

	* net/ipv6/icmp.c: Re-organize about NI_FQDN

2000-09-05 21:43  yoshfuji

	* net/ipv6/icmp.c: s/NI_MAX_DATA_LEN/NI_MAX_ADDRS_LEN/

2000-09-05 19:59  kunitake

	* net/ipv6/icmp.c: fixed a spelling error.

2000-09-05 19:26  yoshfuji

	* net/ipv6/icmp.c: Re-define reply-buffer

2000-09-05 19:15  yoshfuji

	* net/ipv6/icmp.c: remove in6_dev_put(idev); this is done at the
	last stage

2000-09-05 19:13  yoshfuji

	* net/ipv6/icmp.c: Reuse idev

2000-09-05 18:18  kunitake

	* net/ipv6/icmp.c: changed comment of SUPTYPES.

2000-09-05 18:14  kunitake

	* net/ipv6/icmp.c: changed suptypes. Is it early days?

2000-09-05 18:08  kunitake

	* net/ipv6/icmp.c: Support 'Node Addresses' that is one of the
	Qtypes.  And the Qtype was fixed with Hideaki YOSHIFUJI's patch.

2000-09-05 17:56  kunitake

	* net/ipv6/icmp.c: define NI_MAX_DATA_LEN

2000-09-03 11:05  yoshfuji

	* net/ipv6/icmp.c: Don't return directly (for future use)

2000-09-03 10:58  yoshfuji

	* net/ipv6/icmp.c: some comments

2000-09-03 10:44  yoshfuji

	* net/ipv6/icmp.c: parenthesis in comment

2000-09-02 21:51  yoshfuji

	* net/ipv6/icmp.c: typo

2000-09-02 17:35  yoshfuji

	* net/ipv6/icmp.c: initialize len

2000-09-02 17:31  yoshfuji

	* net/ipv6/icmp.c: newline; just for code readability

2000-09-02 17:26  yoshfuji

	* net/ipv6/icmp.c: define NI_MAX_SYSNAME_LEN

2000-09-02 16:33  yoshfuji

	* net/ipv6/icmp.c: fill fl.uli_u.icmpt.code

2000-09-02 16:31  yoshfuji

	* net/ipv6/icmp.c: fill nonce after we decided to reply.

2000-09-02 16:20  yoshfuji

	* net/ipv6/icmp.c: implementation comments.

2000-09-02 15:22  yoshfuji

	* net/ipv6/icmp.c: reply UNKNOWN before refusal.

2000-09-02 12:07  yoshfuji

	* net/ipv6/icmp.c: kernel debug/warning messages

2000-09-02 11:54  yoshfuji

	* net/ipv6/icmp.c: clean-up

2000-09-02 11:52  yoshfuji

	* net/ipv6/icmp.c: typo

2000-09-02 11:51  yoshfuji

	* net/ipv6/icmp.c: simple code / length validation for
	node,ipv6-addr,ipv4-addr queries

2000-09-02 11:24  yoshfuji

	* net/ipv6/icmp.c: separate code and subject validation

2000-09-02 11:06  yoshfuji

	* net/ipv6/icmp.c: suck linux/ctype.h for isupper() and tolower()

2000-09-02 11:01  yoshfuji

	* net/ipv6/icmp.c: fix compilation problem... sorry

2000-09-02 10:53  yoshfuji

	* net/ipv6/icmp.c: '}' was missing

2000-09-02 10:49  yoshfuji

	* net/ipv6/icmp.c: s/qlen/datalen/

2000-09-02 02:05  yoshfuji

	* net/ipv6/icmp.c: CONFIG_SYSCTL

2000-09-02 01:50  yoshfuji

	* net/ipv6/icmp.c: improve sysctl configuration;
	
	per-system configuration:   > 0  follow the per-device
	configuration.	  = 0  just ignore like disabled
	CONFIG_IPV6_NI_QUERY in icmpv6_rcv().	 < 0  refuse after
	validation.
	
	per-device configuration:   > 0  accept NI  == 0  just ignore	< 0
	 refuse

2000-09-02 00:52  yoshfuji

	* net/ipv6/icmp.c: reduse scope of in6_dev and config_accept_ni

2000-09-02 00:45  yoshfuji

	* net/ipv6/icmp.c: remove useless label

2000-09-02 00:44  yoshfuji

	* net/ipv6/icmp.c: Policy should be applied after code, queried
	address, subject validation (section 3 in the spec.)

2000-09-02 00:37  yoshfuji

	* net/ipv6/icmp.c: put idev

2000-09-02 00:35  yoshfuji

	* net/ipv6/icmp.c: lock/unlock idev

2000-09-02 00:28  yoshfuji

	* net/ipv6/icmp.c: IPV6_ADDR_ANYCAST; just in case.

2000-09-02 00:20  yoshfuji

	* net/ipv6/icmp.c: downcase hostname

2000-09-02 00:11  yoshfuji

	* net/ipv6/icmp.c: use icmpv6_ni_qtypename

2000-09-02 00:04  yoshfuji

	* net/ipv6/icmp.c: define icmpv6_ni_qtypename to get qtype symbol
	name.

2000-09-02 00:02  kunitake

	* net/ipv6/icmp.c: fixed stupid bug.

2000-09-01 23:59  kunitake

	* include/linux/sysctl.h, include/net/if_inet6.h,
	net/ipv6/addrconf.c, net/ipv6/icmp.c: configuration through /proc
	system

2000-09-01 23:57  yoshfuji

	* net/ipv6/icmp.c: check subject length for noop and suptypes

2000-09-01 23:54  yoshfuji

	* net/ipv6/icmp.c: reuse datalen as subject length

2000-09-01 23:50  yoshfuji

	* net/ipv6/icmp.c: qtype should be __u16

2000-09-01 23:49  yoshfuji

	* net/ipv6/icmp.c: check icmp code for noop and suptypes.

2000-09-01 23:41  yoshfuji

	* net/ipv6/icmp.c: define qtype for later use

2000-09-01 23:31  yoshfuji

	* drivers/char/stallion.c: sync to linux-2.4.0-test8-pre1

2000-09-01 22:56  yoshfuji

	* net/ipv6/icmp.c: swap decl.

2000-09-01 22:48  kunitake

	* Documentation/Configure.help: Help for 'IPv6: regard NIS domain
	as DNS domain' (CONFIG_IPV6_USE_UTS_DOMAIN)

2000-09-01 22:37  yoshfuji

	* net/ipv6/icmp.c: Check length of query packet.

2000-09-01 21:43  yoshfuji

	* net/ipv6/icmp.c: let domainlen local variable.

2000-09-01 21:33  yoshfuji

	* net/ipv6/icmp.c: semaphore

2000-09-01 20:51  kunitake

	* net/ipv6/icmp.c: NI DNS Name Query with dns-encode (Hideaki
	YOSHIFUJI's encode_dns())

2000-09-01 18:45  yoshfuji

	* net/ipv6/icmp.c: use __constant_htonl() instead of htonl() for
	constants

2000-09-01 18:44  yoshfuji

	* net/ipv6/icmp.c: s/sizeof(__u32)/sizeof(suptypes)/

2000-09-01 18:43  yoshfuji

	* net/ipv6/icmp.c: remove needless comment.

2000-09-01 18:40  yoshfuji

	* net/ipv6/icmp.c: unsigned char -> __u8 for non-char use

2000-09-01 18:38  yoshfuji

	* net/ipv6/icmp.c: NI flags should be 16 bits long.

2000-09-01 18:34  yoshfuji

	* net/ipv6/icmp.c: Don't raise a kernel debug message (unknown
	code) without CONFIG_IPV6_NI_QUERY.

2000-09-01 17:56  sekiya

	* net/ipv6/addrconf.c: Fixed sit up & down bug. 	Even if sit
	devices is down, the devices can join all-nodes     multicast
	address.

2000-09-01 15:01  kunitake

	* net/ipv6/icmp.c: NI DNS Name Query ( without dns-encode...
	[RFC1035] )

2000-09-01 12:09  kunitake

	* net/ipv6/Config.in: add a new item to "make menuconfig|make
	xconfig".  CONFIG_IPV6_USE_UTS_DOMAIN

2000-09-01 11:49  kunitake

	* net/ipv6/icmp.c: Supported Qtypes.(uncompressed form only.)

2000-09-01 00:52  kunitake

	* net/ipv6/icmp.c: add rate limits about NI. <Hideaki YOSHIFUJI>

2000-09-01 00:28  kunitake

	* net/ipv6/icmp.c: the framework of IPv6 Node Information Queries.

<200008>
2000-08-31 20:17  kunitake

	* net/ipv6/Config.in: add a new item to "make menuconfig|make
	xconfig".  "[*] IPv6: enable Node Information Queries"

2000-08-31 20:11  kunitake

	* include/linux/icmpv6.h: added new entries for IPv6 Node
	Information Queries from KAME project.	(Slight adjustment to
	Linux)

2000-08-31 16:04  yoshfuji

	* include/linux/sysctl.h, include/net/if_inet6.h,
	net/ipv6/addrconf.c, net/ipv6/icmp.c: sysctl for NI

2000-08-30 16:37  yoshfuji

	* net/ipv6/icmp.c: signed problem

2000-08-30 12:36  yoshfuji

	* net/ipv6/icmp.c: Just ignore non-NI-Query packets sent to NI
	group address

2000-08-30 12:08  yoshfuji

	* net/ipv6/icmp.c: Replace htonl() with __constant_htonl() for
	constants

2000-08-30 11:16  yoshfuji

	* net/ipv6/icmp.c: Add some comments / codes (not enabled yet) on
	TODO features.

2000-08-30 01:53  yoshfuji

	* lib/Makefile: Remove yoshfuji's patch.

2000-08-30 01:43  yoshfuji

	* include/linux/md5.h, lib/Makefile, lib/md5.c, net/ipv6/icmp.c:
	import s20000830 (except for khtpd)

2000-08-30 01:39  yoshfuji

	* net/ipv6/icmp.c: import s20000829

2000-08-30 01:37  yoshfuji

	* include/linux/icmpv6.h, net/ipv6/icmp.c: import s20000828

2000-08-29 23:59  yoshfuji

	* net/khttpd/sockets.c: ipv6 support.

2000-08-29 15:12  yoshfuji

	* lib/md5.c: #include <linux/md5.h>

2000-08-29 15:11  yoshfuji

	* include/linux/md5.h, lib/md5.c, lib/Makefile: Added md5.{h,c}
	(from KAME)

2000-08-29 12:27  yoshfuji

	* sync with linux-2.4.0-test8-pre1

2000-08-25	yoshfuji

	* sync with linux-2.4.0-test7
	* sync with linux-2.4.0-test6
	* sync with linux-2.4.0-test5
	* sync with linux-2.4.0-test4
	* sync with linux-2.4.0-test3
	* sync with linux-2.4.0-test2
	* sync with linux-2.4.0-test1

